Bug 198517 - Make it possible for validate-committer-lists to dump a mailmap file
Summary: Make it possible for validate-committer-lists to dump a mailmap file
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Tim Horton
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-06-03 22:39 PDT by Tim Horton
Modified: 2019-06-13 14:23 PDT (History)
6 users (show)

See Also:


Attachments
Patch (10.16 KB, patch)
2019-06-03 22:39 PDT, Tim Horton
no flags Details | Formatted Diff | Diff
Patch (8.18 KB, patch)
2019-06-13 01:57 PDT, Tim Horton
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tim Horton 2019-06-03 22:39:11 PDT
Make it possible for validate-committer-lists to dump a mailmap file
Comment 1 Tim Horton 2019-06-03 22:39:57 PDT
Created attachment 371249 [details]
Patch
Comment 2 Build Bot 2019-06-03 22:43:14 PDT
Attachment 371249 [details] did not pass style-queue:


ERROR: Tools/Scripts/webkitpy/common/config/contributors.json:0:  contributors.json should not be modified through the commit queue  [json/syntax] [5]
Total errors found: 1 in 5 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 3 Tim Horton 2019-06-03 22:56:45 PDT
e.g.

before:

Author: rniwa@webkit.org <rniwa@webkit.org@268f45cc-cd09-0410-ab3c-d52691b4dbfc>

After:

Author: Ryosuke Niwa <rniwa@webkit.org>
Comment 4 Alexey Proskuryakov 2019-06-04 07:01:35 PDT
Comment on attachment 371249 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=371249&action=review

> Tools/Scripts/webkitpy/common/config/contributors.json:6042
> +         "youenn.fablet@crf.canon.fr"

So one thing I’m unsure of is whether secondary emails in contributors.json can be used to set cq+ in bugzilla. If so, then adding historical emails that people no longer control (old employers, expired domains) is not good.
Comment 5 Tim Horton 2019-06-04 12:16:52 PDT
(In reply to Alexey Proskuryakov from comment #4)
> Comment on attachment 371249 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=371249&action=review
> 
> > Tools/Scripts/webkitpy/common/config/contributors.json:6042
> > +         "youenn.fablet@crf.canon.fr"
> 
> So one thing I’m unsure of is whether secondary emails in contributors.json
> can be used to set cq+ in bugzilla. If so, then adding historical emails
> that people no longer control (old employers, expired domains) is not good.

Good question! Will have to check; could always add a “retired” addresses section.
Comment 6 Tim Horton 2019-06-13 01:57:20 PDT
Created attachment 372034 [details]
Patch
Comment 7 Tim Horton 2019-06-13 01:57:25 PDT
OK, let's start with just the mailman part, we can add more addresses later.
Comment 8 Simon Fraser (smfr) 2019-06-13 12:58:28 PDT
Comment on attachment 372034 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=372034&action=review

> Tools/Scripts/validate-committer-lists:342
> +        return "<{0}@268f45cc-cd09-0410-ab3c-d52691b4dbfc>".format(email)        

Huh?
Comment 9 Tim Horton 2019-06-13 13:51:29 PDT
(In reply to Simon Fraser (smfr) from comment #8)
> Comment on attachment 372034 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=372034&action=review
> 
> > Tools/Scripts/validate-committer-lists:342
> > +        return "<{0}@268f45cc-cd09-0410-ab3c-d52691b4dbfc>".format(email)        
> 
> Huh?

It's some hash of something that git-svn uses to identify the (svn.webkit.org) origin, as far as I can tell. It's stable and consistent for our Git mirror.
Comment 10 WebKit Commit Bot 2019-06-13 14:22:28 PDT
Comment on attachment 372034 [details]
Patch

Clearing flags on attachment: 372034

Committed r246414: <https://trac.webkit.org/changeset/246414>
Comment 11 WebKit Commit Bot 2019-06-13 14:22:29 PDT
All reviewed patches have been landed.  Closing bug.
Comment 12 Radar WebKit Bug Importer 2019-06-13 14:23:28 PDT
<rdar://problem/51722355>